Bug 485155 - ghex not counting right the selected bytes
ghex not counting right the selected bytes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ghex (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 17:09 EST by Vinagre
Modified: 2009-02-13 01:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-12 17:22:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 571542 None None None Never

  None (edit)
Description Vinagre 2009-02-11 17:09:44 EST
ghex is not displaying the correct value of selected bytes.

example: 
It displays "C bytes from 1E to 2A selected",
but it should be "D bytes from 1E to 2A selected",
1E -> 1
1F -> 2
20 -> 3
21 -> 4
22 -> 5
23 -> 6
24 -> 7
25 -> 8
26 -> 9
27 -> A
28 -> B
29 -> C
2A -> D
Comment 1 Thorsten Leemhuis 2009-02-12 13:59:37 EST
It's highly unlikely that this is a Fedora specific problem and IMHO is better  dealt with upstream, as then it get fixed for each and every distro.

I can forward your report upstream if you like, but if might be easier and better for everyone if you report it upstream yourself, as that would avoid a man-in-the-middle.

But warning: Upstream looks mostly dead right now afaics.
Comment 2 Vinagre 2009-02-12 16:04:34 EST
Ok, I will report in the gnome bugzilla.
It's sad this tool be almost dead, I miss some features from Hex Workshop, and I have no one to bother. lol
Comment 3 Vinagre 2009-02-12 17:22:55 EST
It had been fixed already in the upstream, thanks to Martin.
Comment 4 Thorsten Leemhuis 2009-02-13 01:26:10 EST
(In reply to comment #2)
> Ok, I will report in the gnome bugzilla.

many thx!

(In reply to comment #3)
> It had been fixed already in the upstream, thanks to Martin.

Great :) And I thought it was dead -- shame on me

Note You need to log in before you can comment on or make changes to this bug.